# Generated from ipgeolocation_io-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ipgeolocation_io

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Free IP Geolocation API and IP Address Lookup Location Database
License: MIT
URL: https://ipgeolocation.io/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Ipgeolocation.io's IP API Stack provides country, city,
state, province, time zone, current time,
local currency, latitude and longitude, company detail, ISP, language, zip
code, country calling code
and much more from any IPv4 and IPv6 address in JSON and XML format with https
support even in freegeoip plan.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.3-1
- Initial package
